/* menu */

.genolytic-account-menu {
    width: 320px;
}
.genolytic-account-menu .nav-item {
    padding-bottom: 12px;
    font-size: 17px;
    font-weight: 400;
}
.genolytic-account-menu .nav-item.active a {
    font-weight: 500;
    color: white;
    background-color: rgb(126, 199, 213);
}
.genolytic-account-menu span {
    text-align: center;
    width: 40px;
}

/* views */
.genolytic-customer-view .js-stools input,
.genolytic-customer-view .js-stools select {
    width: auto !important;
}

.genolytic-customer-view button.btn-primary,
.genolytic-customer-view a.btn-primary {
    background-color: var(--secondary);
}

.genolytic-customer-view button [class*="icon"] {
    display: inline-block !important;
}

.genolytic-customer-view .accordion-button {
    display: flex;
    flex-wrap: wrap;
    column-gap: 12px;
    padding: 0px 50px 0px 16px;
}

.genolytic-customer-view .accordion-button div {
    white-space: nowrap;
}

.genolytic-customer-view .accordion-button:after {
    content: "";
}

.genolytic-customer-view .accordion-item {
    border: 0;
    /* box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px; */
    /* box-shadow: -5px -5px 15px rgba(255, 255, 255, 0.8), 5px 5px 15px rgba(0, 0, 0, 0.1); */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.genolytic-customer-view .accordion-item button {
    border: 0;
}

.genolytic-customer-view .accordion-item button:hover {
    background-color: var(--secondary);
}

.genolytic-customer-view .accordion-button:not(.collapsed) {
    background-color: var(--secondary);
}

.genolytic-customer-view .accordion-button:focus {
    box-shadow: unset;
}

.genolytic-customer-view .accordion-button.accordion-remindissue:not(.collapsed), 
.genolytic-customer-view .accordion-remindissue {
    color: var(--bs-danger);
    background-color: #ffcccc;
}

.genolytic-customer-view .accordion-body {
    background-color: #fefefe;
    display: flex;
    flex-direction: row;
    column-gap: 32px;
    row-gap: 12px;
}

.genolytic-customer-view .accordion-body-left {
    display: flex;
    flex-direction: column;
    width: 50%;
}

.genolytic-customer-view .accordion-body-right {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    width: 50%;
}

.genolytic-customer-view .accordion-row {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    column-gap: 12px;
    align-items: center;
    font-size: 18px;
    line-height: 26px;
    margin-bottom: 8px;
}

@media (max-width: 600px) {
    .genolytic-customer-view .accordion-body {
        flex-direction: column;
    }
    .genolytic-customer-view .accordion-body-left,
    .genolytic-customer-view .accordion-body-right {
        width: 100%;
    }
}

.genolytic-customer-view .badge {
    color: #f5f8f9;
}

.genolytic-customer-view .btn {
    padding: 10px;
}

.genolytic-customer-view .btn-sm {
    padding: 8px 12px;
}

.genolytic-customer-view .pagination {
    justify-content: flex-end;
}

.genolytic-customer-view .geno-pricebadge-wrapper {
    display: flex;
    gap: 4px;
    align-items: center;
    justify-content: flex-end;
}

.genolytic-customer-view .pricebadge {
    font-weight: 500;
    font-size: 16px;
    padding: 0px 12px;
    margin-left: 8px;
    background-color: var(--secondary);
    border-radius: 8px;
    display: flex;
    align-items: center;
}

/* form */

.genolytic-customer-view .form-check-input:checked,
.genolytic-customer-view .btn-check:checked+.btn.btn-outline-success,
.genolytic-customer-view .btn.btn-outline-success.active {
    background-color: var(--secondary);
    border-color: var(--secondary);
}

.genolytic-customer-view input::placeholder,
.genolytic-customer-view select option[value=""] {
    color: var(--bs-secondary);
    opacity: 0.5;
}

.genolytic-customer-view .btn-check:checked+.btn.btn-outline-danger,
.genolytic-customer-view .btn.btn-outline-danger.active {
    background-color: var(--bs-danger);
    border-color: var(--bs-danger);
}

.genolytic-customer-view label {
    display: inline-block;
    font-size: 1rem;
    font-weight: 500;;
    padding: 2px 12px;
    align-content: center;
}

.genolytic-customer-view .btn-outline-dark {
    color: #212529;
    border-color: #212529;
    border-width: 1px;
    border-style: solid;
}

.genolytic-customer-view .btn-outline-dark:hover {
    color: #fff;
    background-color: #212529;
    border-color: #212529;
    border-width: 1px;
    border-style: solid;
}

.genolytic-customer-view .btn-check:focus+.btn-outline-dark,.genolytic-customer-view .btn-outline-dark:focus {
    box-shadow: 0 0 0 .25rem rgba(33,37,41,.5)
}

.genolytic-customer-view .btn-check:active+.btn-outline-dark,.genolytic-customer-view .btn-check:checked+.btn-outline-dark,.genolytic-customer-view .btn-outline-dark.active,.genolytic-customer-view .btn-outline-dark.dropdown-toggle.show,.genolytic-customer-view .btn-outline-dark:active {
    color: #fff;
    background-color: #212529;
    border-color: #212529
}

.genolytic-customer-view .btn-check:active+.btn-outline-dark:focus,.genolytic-customer-view .btn-check:checked+.btn-outline-dark:focus,.genolytic-customer-view .btn-outline-dark.active:focus,.genolytic-customer-view .btn-outline-dark.dropdown-toggle.show:focus,.genolytic-customer-view .btn-outline-dark:active:focus {
    box-shadow: 0 0 0 .25rem rgba(33,37,41,.5)
}

.genolytic-customer-view .btn-outline-dark.disabled,.genolytic-customer-view .btn-outline-dark:disabled {
    color: #212529;
    background-color: transparent
}

.genolytic-customer-view .hide-aware-inline-help small {
    display: block;
    line-height: 24px !important;
    margin: 2px 0px;
}

.genolytic-customer-view input[type="text"], .genolytic-customer-view input[type="password"], .genolytic-customer-view select, 
.genolytic-customer-view textarea, .genolytic-customer-view textarea:not([class*="ba-col-"]), 
.genolytic-customer-view input[type="datetime"], .genolytic-customer-view input[type="datetime-local"], .genolytic-customer-view input[type="date"], 
.genolytic-customer-view input[type="number"], .genolytic-customer-view input[type="email"], .genolytic-customer-view input[type="search"],
.genolytic-customer-view input[type="month"], .genolytic-customer-view input[type="week"], .genolytic-customer-view input[type="datetime-local"] {
    background: #fff;
    border: 1px solid #cccccc;
    color: #555;
    font-size: 16px !important;
    font-family: inherit;
    height: auto;
    line-height: inherit;
    margin: 0;
    padding: 2px 12px;
    width: 100%;
}

.genolytic-customer-view input:focus,
.genolytic-customer-view select:focus,
.genolytic-customer-view textarea:not(.ba-comment-message):focus {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border-color: #86b7fe !important;
    outline: 0 !important;
    box-shadow: 0 0 0 .25rem #0d6efd40 !important;
}

.genolytic-customer-view input.invalid,
.genolytic-customer-view select.invalid,
.genolytic-customer-view textarea.invalid {
    border-color: var(--bs-danger);
}
.genolytic-customer-view h4.invalid {
    color: var(--bs-danger);
}

.genolytic-customer-view .input-group>.form-control,
.genolytic-customer-view .field-calendar,
.genolytic-customer-view .form-floating {
    flex: 1 1 50%;
}

.genolytic-customer-view .form-select:not([multiple]) {
    padding-right: 34px;
    background-image: var(--bs-form-select-bg-img), var(--bs-form-select-bg-icon, none);
    background-position: right .75rem center;
    background-repeat: no-repeat;
    background-size: 16px 12px;
}

.genolytic-customer-view .radio {
    padding-left: 0px;
    display: flex;
    gap: 6px;
    align-items: stretch;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: flex-start;
}

.genolytic-customer-view .radio label {
    border: 1px solid #cccccc;
    flex: 0 1 auto;
    min-width: 85px;
}

.genolytic-customer-view .geno-inputcol {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.genolytic-customer-view .geno-tooth-indicator {
    display: flex;
    align-items: center;
    justify-content: center;
}
.genolytic-customer-view .geno-tooth-indicator i.fa-circle-check {
    color: #43a047;
}

.genolytic-customer-view textarea:not([class*="ba-col-"]) {
    width: 100%;
    min-height: 75px;
}

.genolytic-customer-view .form-control-feedback {
    display: block;
    color: var(--bs-danger);
    font-size: 14px;
    line-height: 24px;
    font-weight: 400;
}

.genolytic-customer-view .form-control:disabled,
.genolytic-customer-view .form-control[readonly] {
    background-color: var(--bs-secondary-bg);
    opacity: 1;
}
.genolytic-customer-view .form-check-input[readonly] {
    pointer-events: none;
    filter: none;
    opacity: .5;
}

.genolytic-customer-view #availableTestsTable {
    border: 1px solid #cccccc;
    border-radius: var(--bs-border-radius);
}
.genolytic-customer-view #availableTestsTable tr {
    cursor: pointer;
}
.genolytic-customer-view #availableTestsTable tr:hover:not(.btntr) td {
    background-color: rgb(126, 199, 213);
}
.genolytic-customer-view #availableTestsTable td {
    padding: 8px 16px;
}
.genolytic-customer-view #availableTestsTable th {
    padding: 16px;
}

.geno-circle {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    top: 3px;
    left: 3px;
}

.geno-circle-red   { background-color: #e53935; }
.geno-circle-green { background-color: #43a047; }
.geno-circle-blue  { background-color: #1e88e5; }
.geno-circle-yellow{ background-color: #fdd835; }

.genolytic-customer-view #padogen-form-dlbtn {
    color: var(--secondary);
    text-decoration: underline;
    cursor: pointer;
}

#geno_analysis_padotest-lbl,
#geno_analysis_padosero-lbl,
#geno_analysis_padogen-lbl,
#geno_analysis_padobiom-lbl {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.genolytic-customer-view .geno-multicheck {
    height: 24px;
    padding: 0;
}